<div id="updates" class="max-w-7xl mx-auto my-12">
  <div class="">
    {{ with .Params.headline }}
      <h2>{{ . }}</h2>
    {{ end }}

    {{ with .Params.support_text }}
      <div>{{ . | markdownify }}</div>
    {{ end }}
  </div>

  <div class="max-w-5xl mx-auto mt-8">
    {{ $allUpdates := .ctx.GetPage "/update-reports" }}
    {{ $updates := $allUpdates.Resources.Match "*" }}

    {{ $published_updates := where $updates "Params.draft" "!=" true }}

    <div id="updates-container" class="updates-container-height overflow-hidden">
      {{ range $published_updates}}
          <div class="border-b border-gray-200 pb-2">
            <h3>{{ .Params.title }}</h3>
            <h5>{{ dateFormat "January 2, 2006" .Params.date }}</h5>
            <div>{{ .Params.description | markdownify }}</div>
          </div>
    {{ end }}
    </div>


    {{ if gt (len $published_updates) 2 }}
        <button id="updates-btn" type="button" onclick="toggleUpdates(this)" class="inline-flex py-2 px-4 text-primary-color bg-white rounded-md mt-8 border border-primary-color">See all Updates</button>
    {{ end }}
  </div>
</div>
